Package net.snowflake.client.api.loader

## Class Loader.DataError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.snowflake.client.api.loader.Loader.DataError

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  Loader

    public static class Loader.DataError
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DataError​(String msg)`
`DataError​(String msg, Throwable ex)`
`DataError​(Throwable ex)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataError

    public DataError​(String msg)

#### DataError

    public DataError​(String msg,
                     Throwable ex)

#### DataError

    public DataError​(Throwable ex)